Subject: Ticket Assigned - Feedback or suggestions
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Thu, 17 Mar 2022 08:00:36 +0000

Hi Ahmed Omer,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Feedback or suggestions Dear centerpoint 

2 weeks back i visited your mirdif branch and returned a product I purchased through my card. They mentioned the refund will take 6 to 7 days. Today i wanted to call the branch to check the status. So I called your number I found in Google, and it was absolutely dissapointing that both the agents i spoke to told me there are no numbers for centerpoint branches that we can contact directly ! The agents told me I need to physically go to the store and ask about any enquiry ! This is really dissapointing, just for an refund enquiry i need to visit the store in person? As a huge store with different branches in UAE atleast you need to have a contact so customers can call and speak with! Kindly look into this! https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4023815